Translations of this page are also available in the following languages: Русский.

# gsymcheck man-page

    gsymcheck(1)			   20031231			  gsymcheck(1)

    NAME
           gsymcheck - gEDA/gaf Symbol Checker

    SYNOPSIS
           gnetlist [-h] [-v] [-q] symbol1 [... symbolN]

    DESCRIPTION
           gsymcheck  is  a	 symbol	 checker for gEDA.  Eventually there will be a
           list of checks performed on the symbols listed here.

    OPTIONS
           gsymcheck accepts the following options:

           -q      Quiet mode on.  This mode  turns	 off  all  warnings/notes/mes-
    	       sages. (optional)

           -v      Verbose	mode  1.   This	 mode  will  show  all	error messages
    	       (optional)

           -vv     Verbose mode 2.	This mode will show all error and warning mes-
    	       sages (optional)

           -vvv    Verbose	mode  2.   This mode will show all error, warning, and
    	       info messages (optional)

           -h      Usage summary / gsymcheck help

           symbol1 [... symbolN]
    	       At least one symbol file must be specified.  If	multiple  sym-
    	       bols  are  specified  then  they	 are  sequentially read in and
    	       checked.	 It is important that the schematic(s) follow all  the
    	       options (ie last).

    EXAMPLES
           Examples to be listed here eventually

    ENVIRONMENT
           No environment variables are used.

    AUTHOR
           Ales Hvezda and many others

    SEE ALSO
           gschem(1), gnetlist(1)

    COPYRIGHT
           Copyright ©  1999-2004 Ales Hvezda

           This document can be freely redistributed according to the terms of the
           GNU General Public License version 2.0

    Version			      December 31st, 2003		  gsymcheck(1)